version: '3.8'

services:
  db:
    image: postgres:15 # PostgreSQL 15 버전 이미지 사용
    container_name: yongsan-db # 컨테이너 이름 지정
    environment:
      - POSTGRES_USER=myuser # 데이터베이스 사용자 이름
      - POSTGRES_PASSWORD=mypassword # 데이터베이스 비밀번호
      - POSTGRES_DB=yongsan_data # 데이터베이스 이름
    ports:
      - "5432:5432" # 내 컴퓨터의 5432 포트와 컨테이너의 5432 포트를 연결
    volumes:
      - pgdata:/var/lib/postgresql/data # 데이터 영속성을 위한 볼륨 설정

volumes:
  pgdata: